
Redmine - Patch #32297

Remove code for unsupported versions of Rails from open_id_authentication

2019-10-18 09:00 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Redmine migrated to Rails 3 in Redmine 2.0 (released in 2012). We no longer support such older versions of Rails, so we can

remove the code for Rails less than 3.0.

Index: lib/plugins/open_id_authentication/init.rb

===================================================================

--- lib/plugins/open_id_authentication/init.rb    (リビジョン 18732)

+++ lib/plugins/open_id_authentication/init.rb    (作業コピー)

@@ -1,9 +1,5 @@

 # frozen_string_literal: false

-if Rails.version < '3'

-  config.gem 'rack-openid', :lib => 'rack/openid', :version => '>=0.2.1'

-end

-

 require 'open_id_authentication'

 config.middleware.use OpenIdAuthentication

Associated revisions

Revision 18788 - 2019-10-22 03:34 - Go MAEDA

Remove code for unsupported versions of Rails from open_id_authentication (#32297).

Patch by Go MAEDA.

History

#1 - 2019-10-21 02:58 - Go MAEDA

- Subject changed from Remove the code for Rails less than 3.0 in lib/plugins/open_id_authentication/init.rb to Remove the code for Rails earlier than

3.0 in lib/plugins/open_id_authentication/init.rb

- Target version changed from Candidate for next minor release to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-10-22 03:34 - Go MAEDA

- Subject changed from Remove the code for Rails earlier than 3.0 in lib/plugins/open_id_authentication/init.rb to Remove code for unsupported

versions of Rails from open_id_authentication

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.
